"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CodeMirror = require("codemirror");
require("codemirror/lib/codemirror");
require("codemirror/mode/haskell/haskell");
CodeMirror.defineMode("ihaskell", (config) => {
    let hmode = CodeMirror.getMode(config, "haskell");
    return CodeMirror.multiplexingMode(hmode, {
        open: /:(?=!)/,
        close: /^(?!!)/,
        mode: CodeMirror.getMode(config, "text/plain"),
        delimStyle: "delimit"
    }, {
        open: /\[r\||\[rprint\||\[rgraph\|/,
        close: /\|\]/,
        mode: CodeMirror.getMode(config, "text/x-rsrc"),
        delimStyle: "delimit"
    });
});
CodeMirror.defineMIME("text/x-ihaskell", "ihaskell");
CodeMirror.modeInfo.push({
    ext: ['hs'],
    mime: "text/x-ihaskell",
    mode: 'ihaskell',
    name: 'ihaskell'
});
